
/*
 * Copyright (c) 1994 RAF Technology
 * developed for ARPA under contract MDA 904-93-C-7219
 *
 * Permission to use, copy, modify, distribute, and sell this software and 
 * its documentation for any purpose is hereby granted without fee, provided
 * that (i) the above copyright notices and this permission notice appear in
 * all copies of the software and related documentation, and (ii) the names of
 * RAF Technology or ARPA  may not be used in any advertising or
 * publicity relating to the software without the specific, prior written
 * permission of RAF Technology and ARPA.
 * 
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
 * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
 * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
 * 
 * IN NO EVENT SHALL RAF TECHNOLOGY OR ARPA  BE LIABLE FOR
 * ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
 * OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
 * WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF 
 * LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE 
 * OF THIS SOFTWARE.
 */

#include "rafport.h"
#include "illum.h"

#include "TextMode.h"
#include "TextPage.h"

//bogus
TextMode::TextMode(MainWindow *input_mw, iEntityPtr input_entity)
	: Mode(input_mw)
{
	this->createPages(input_entity);
}

TextMode::~TextMode()
{
	int foo;
	
	foo = foo;
}

// bogus
void
TextMode::createPages(iEntityPtr entity)
{
	this->the_page = new TextPage(this, "1", entity);
	this->addPage(this->the_page);
}

void
TextMode::configure()
{
	if (the_page)
		the_page->configure();
}

static char bogus_name[] = "Text";

aString
TextMode::getName()
{
	return bogus_name;
}

ModeType
TextMode::getMode()
{
	return vtTEXT;
}

void
TextMode::addNewEntity(iEntityPtr entity)
{
	this->the_page->addNewEntity(entity);
}


void
TextMode::centerOnSelected(iEntityPtr entity)
{
	// bogus, find the page
	// I'm on not the current page
	
	TextPage *page;
	page = this->the_page;
	page->centerOnSelected(entity);
}
